Part Plane/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 20: Line 20:
== Description ==
== Description ==


Un [[Image:Part_Plane.svg|24px]] '''Part Plan''' est un plan rectangulaire paramétrique qui peut être créé avec la commande [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/fr|Part Primitives]]. Dans le système de coordonnées défini par sa propriété {{PropertyData|Placement}}, le plan se trouve sur le plan XY avec son coin avant gauche à l'origine, et son bord avant parallèle à l'axe X.
<div class="mw-translate-fuzzy">
Créez un plan paramétrique simple de 10 x 10 mm, avec les paramètres de position, longueur et largeur. Par défaut, le plan est positionné à l'origine (0,0,0).
</div>


[[Image:Part_Plane_Example.png|400px]]
[[Image:Part_Plane_Example.png|400px]]

Revision as of 20:52, 4 March 2022

Part Plan

Emplacement du menu
Pièce → Créer des primitives → Plan
Ateliers
Part, OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

Un Part Plan est un plan rectangulaire paramétrique qui peut être créé avec la commande Part Primitives. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, le plan se trouve sur le plan XY avec son coin avant gauche à l'origine, et son bord avant parallèle à l'axe X.

Utilisation

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Propriétés

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Données

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DonnéesLength : La longueur est la dimension le long de l'axe X La valeur par défaut est 10 mm.
  • DonnéesWidth : La largeur est la dimension de l'axe Y La valeur par défaut est 10 mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()